zenilib: PSH_PointRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PSH_PointRec_ Struct Reference

`#include <pshalgo.h>`

## Public Attributes

FT_Angle | angle_in
FT_Angle | angle_out
PSH_Contour | contour
FT_Pos | cur_u
FT_Char | dir_in
FT_Char | dir_out
FT_UInt | flags
FT_UInt | flags2
PSH_Hint | hint
PSH_Point | next
FT_Pos | org_u
FT_Pos | org_v
PSH_Point | prev

## Detailed Description

Definition at line 162 of file pshalgo.h.

## Member Data Documentation

FT_Angle PSH_PointRec_::angle_in

Definition at line 171 of file pshalgo.h.

FT_Angle PSH_PointRec_::angle_out

Definition at line 172 of file pshalgo.h.

PSH_Contour PSH_PointRec_::contour

Definition at line 166 of file pshalgo.h.

Referenced by psh_glyph_init().

FT_Pos PSH_PointRec_::cur_u

Definition at line 176 of file pshalgo.h.

Referenced by psh_glyph_find_blue_points(), psh_glyph_interpolate_normal_points(), psh_glyph_interpolate_other_points(), psh_glyph_interpolate_strong_points(), and psh_glyph_save_points().

FT_Char PSH_PointRec_::dir_in

Definition at line 169 of file pshalgo.h.

Referenced by psh_glyph_find_blue_points(), psh_glyph_init(), psh_glyph_interpolate_normal_points(), and psh_hint_table_find_strong_points().

FT_Char PSH_PointRec_::dir_out

Definition at line 170 of file pshalgo.h.

Referenced by psh_glyph_find_blue_points(), psh_glyph_init(), psh_glyph_interpolate_normal_points(), and psh_hint_table_find_strong_points().

FT_UInt PSH_PointRec_::flags

Definition at line 167 of file pshalgo.h.

Referenced by psh_glyph_init(), psh_glyph_interpolate_normal_points(), and psh_glyph_save_points().

FT_UInt PSH_PointRec_::flags2

Definition at line 168 of file pshalgo.h.

Referenced by psh_glyph_save_points(), and psh_hint_table_find_strong_points().

PSH_Hint PSH_PointRec_::hint

Definition at line 173 of file pshalgo.h.

Referenced by psh_glyph_find_strong_points(), psh_glyph_interpolate_strong_points(), and psh_hint_table_find_strong_points().

PSH_Point PSH_PointRec_::next

Definition at line 165 of file pshalgo.h.

Referenced by psh_glyph_compute_extrema(), psh_glyph_compute_inflections(), psh_glyph_init(), and psh_glyph_interpolate_other_points().

FT_Pos PSH_PointRec_::org_u

Definition at line 174 of file pshalgo.h.

Referenced by psh_glyph_compute_extrema(), psh_glyph_compute_inflections(), psh_glyph_find_blue_points(), psh_glyph_interpolate_normal_points(), psh_glyph_interpolate_other_points(), psh_glyph_interpolate_strong_points(), and psh_hint_table_find_strong_points().

FT_Pos PSH_PointRec_::org_v

Definition at line 175 of file pshalgo.h.

Referenced by psh_glyph_compute_extrema(), and psh_glyph_compute_inflections().

PSH_Point PSH_PointRec_::prev

Definition at line 164 of file pshalgo.h.

Referenced by psh_glyph_compute_extrema(), psh_glyph_compute_inflections(), and psh_glyph_init().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/pshinter/pshalgo.h